//
//  WeChatBindingHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/5/9.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "WeChatBindingHttpPostCmd.h"
#import "WeChatBindingHttpResult.h"

static NSString *kActionUrl1 = @"/weChatLogin/save";

@implementation WeChatBindingHttpPostCmd
-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[WeChatBindingHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[WeChatBindingHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpWeChatBindingHttpPostCmd_userid = @"userid";
NSString *const kHttpWeChatBindingHttpPostCmd_wechatid = @"wechatid";
NSString *const kHttpWeChatBindingHttpPostCmd_state = @"state";
NSString *const kHttpWeChatBindingHttpPostCmd_wechatname = @"wechatname";
